### Method

# Gtk TreePathcompare

deprecated: 4.10

#### Declaration [src]

    int
    gtk_tree_path_compare (
      const GtkTreePath* a,
      const GtkTreePath* b
    )

#### Description [src]

Compares two paths.

If `a` appears before `b` in a tree, then -1 is returned. If `b` appears before `a`, then 1 is returned. If the two nodes are equal, then 0 is returned.

Deprecated since: 4.10

Please do not use it in newly written code.

#### Parameters

`b`

  Type: `GtkTreePath`

  A `GtkTreePath` to compare with.

  The data is owned by the caller of the method.

#### Return value

Type: `int`

The relative positions of `a` and `b`.